Subject: bug#21430: 25.0.50; resizing window in exwm crashes emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Sep 2015 19:05:17 +0300

> Date: Tue, 08 Sep 2015 11:09:16 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked]
> 
>  > Out of curiosity: What was the problem? I had originally filed an exwm
>  > issue and would like to add this information there, too.
> 
> The bug was caused by my commit from 2014-07-27 with the ChangeLog entry
> 
> 	* gtkutil.c (xg_frame_resized): Call do_pending_window_change.

I think we still have one more bug that was uncovered by this report:
Fsignal aborted trying to report a wrong-type-arg error.  That
shouldn't happen, and IMO we should continue looking into that, even
if the root cause which caused Fsignal to be invoked is gone.